Skip to main content
DELETE
/
v1
/
banking
/
accounts
/
{account_id}
Close Account (Banking Connectivity)
curl --request DELETE \
  --url https://api-sandbox.y.uno/v1/banking/accounts/{account_id} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "acct_aa0e8400-e29b-41d4-a716-446655440000",
  "entity_id": "ent_660e8400-e29b-41d4-a716-446655440000",
  "onboarding_id": "onb_990e8400-e29b-41d4-a716-446655440000",
  "account_id": "550e8400-e29b-41d4-a716-446655440000",
  "provider": {
    "account_id": "col_bank_account_789"
  },
  "account_type": "CHECKING",
  "status": "CLOSED",
  "account_number": "1234567890",
  "routing_number": "123456789",
  "iban": null,
  "currency": "USD",
  "balance": {
    "available": 0,
    "current": 0,
    "pending": 0
  },
  "account_details": {
    "account_name": "John Doe - Checking",
    "sort_code": null,
    "bsb": null,
    "swift": null
  },
  "payment_rails": {
    "incoming": [
      "ACH",
      "WIRE"
    ],
    "outgoing": [
      "ACH",
      "WIRE"
    ]
  },
  "supports_book_transfers": true,
  "created_at": "2026-02-01T10:10:00Z",
  "updated_at": "2026-02-25T14:30:00Z"
}
Close a Banking Connectivity account. The account must have a zero balance before it can be closed.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

account_id
string
required

The unique identifier of the account. Found on the Yuno dashboard (UUID, 36 chars).

Response

id
string
Example:

"acct_aa0e8400-e29b-41d4-a716-446655440000"

entity_id
string
Example:

"ent_660e8400-e29b-41d4-a716-446655440000"

onboarding_id
string
Example:

"onb_990e8400-e29b-41d4-a716-446655440000"

account_id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

provider
object
account_type
string
Example:

"CHECKING"

status
string
Example:

"CLOSED"

account_number
string
Example:

"1234567890"

routing_number
string
Example:

"123456789"

iban
any
currency
string
Example:

"USD"

balance
object
account_details
object
payment_rails
object
supports_book_transfers
boolean
default:true
Example:

true

created_at
string
Example:

"2026-02-01T10:10:00Z"

updated_at
string
Example:

"2026-02-25T14:30:00Z"